package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.Date;
import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 * Empleado generated by hbm2java
 */
@Entity
@Table(name="empleado"
    ,catalog="sistema_ventas"
)
public class Empleado  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idemp;
     private Persona persona;
     private Sucursal sucursal;
     private Date fechaInicio;
     private Set<FacturaEncabezado> facturaEncabezados = new HashSet<FacturaEncabezado>(0);
     private Set<FacturaDetalle> facturaDetalles = new HashSet<FacturaDetalle>(0);
     private Set<Usuarios> usuarioses = new HashSet<Usuarios>(0);

    public Empleado() {
    }

    public Empleado(Persona persona, Sucursal sucursal, Date fechaInicio, Set<FacturaEncabezado> facturaEncabezados, Set<FacturaDetalle> facturaDetalles, Set<Usuarios> usuarioses) {
       this.persona = persona;
       this.sucursal = sucursal;
       this.fechaInicio = fechaInicio;
       this.facturaEncabezados = facturaEncabezados;
       this.facturaDetalles = facturaDetalles;
       this.usuarioses = usuarioses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idemp", unique=true, nullable=false)
    public Integer getIdemp() {
        return this.idemp;
    }
    
    public void setIdemp(Integer idemp) {
        this.idemp = idemp;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="persona")
    public Persona getPersona() {
        return this.persona;
    }
    
    public void setPersona(Persona persona) {
        this.persona = persona;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="sucursal")
    public Sucursal getSucursal() {
        return this.sucursal;
    }
    
    public void setSucursal(Sucursal sucursal) {
        this.sucursal = sucursal;
    }

    @Temporal(TemporalType.DATE)
    @Column(name="fecha_inicio", length=10)
    public Date getFechaInicio() {
        return this.fechaInicio;
    }
    
    public void setFechaInicio(Date fechaInicio) {
        this.fechaInicio = fechaInicio;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="empleado")
    public Set<FacturaEncabezado> getFacturaEncabezados() {
        return this.facturaEncabezados;
    }
    
    public void setFacturaEncabezados(Set<FacturaEncabezado> facturaEncabezados) {
        this.facturaEncabezados = facturaEncabezados;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="empleado")
    public Set<FacturaDetalle> getFacturaDetalles() {
        return this.facturaDetalles;
    }
    
    public void setFacturaDetalles(Set<FacturaDetalle> facturaDetalles) {
        this.facturaDetalles = facturaDetalles;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="empleado")
    public Set<Usuarios> getUsuarioses() {
        return this.usuarioses;
    }
    
    public void setUsuarioses(Set<Usuarios> usuarioses) {
        this.usuarioses = usuarioses;
    }




}


